{
  "compilerOptions": {
    "target": "es2019",
    "module": "es2022",
    "moduleResolution": "node",
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "lib": [
      "es2019",
      "dom"
    ],
    "baseUrl": ".",
    "paths": {
      "~/*": [
        "src/*"
      ],
      "@authcore/commons": [
        "node_modules/@authcore/commons/src/index.ts"
      ]
    },
    "plugins": [
      {
        "name": "@vuedx/typescript-plugin-vue"
      }
    ]
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.d.ts",
    "src/**/*.tsx",
    "src/**/*.vue"
  ]
}
